﻿@model IEnumerable<MainApplication.Models.EventModel>

@{
    ViewBag.Title = "index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

   
    <link rel="stylesheet" type="text/css" href="/Content/cdn.evbstatic.com/base_styles.css" />
    <link rel="stylesheet" type="text/css" href="/Content/cdn.evbstatic.com/global_header.css" />
    <link rel="stylesheet" type="text/css" href="/Content/cdn.evbstatic.com/eds.css" />
    <link rel="stylesheet" type="text/css" href="/Content/cdn.evbstatic.com/home.css" />


    <div id="auth-modalv2"></div>

        <section class="hero-image-container" >
            <div id="map"></div>
        </section>

        <div class="g-grid">
            <div id="search_div" class="g-cell g-cell-12-12 g-cell--has-overflow">
                <div class="l-align-center homepage-search-card l-md-pad-vert-5 l-lg-pad-vert-5 card card--elevated-3">
                    <h1 class="hide-small-accessible text-heading-epic homepage-header l-mar-top-2">
                        Find your events
                    </h1>
                    <div class="js-search-bar search-bar-container l-pad-vert-2 l-pad-bot-3 g-group">
                        <form action="/event" method="GET" class="consumer-search-bar l-mar-top-4 responsive-form org-consumer-search-input">
                            <div class="g-cell--has-overflow search-bar-component">
                                <div class="autocomplete-component">
                                    <label class="is-hidden-accessible" for="consumer-header-event-search">
                                        Search events or categories
                                    </label>
                                    <input id="consumer-header-event-search" name="search" type="text" class="js-query-input" placeholder="Search events or location" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" title="Search events or categories">
                                </div>
                            </div>
                           
                            <div class="search-bar-component">
                                <input type="submit" class="js-home-search-btn btn btn--brite btn--block hide-small js-xd-janus-checkpoint-link" value="Search" data-checkpoint-name="homepage_search_submitted">

                            </div>
                           
                        </form>
                        
                    </div>
                </div>
            </div>

            <h2 class="is-hidden-accessible">Suggested Events</h2>


            <section class="l-pad-bot-5 l-sm-pad-bot-3">



               
                <div class="js-popular-events">
                    <div class="g-cell g-cell-1-1 text--centered js-see-more-events-btn">
                        <a href="/event/create" class="js-search-click-action js-d-track-link btn btn--secondary"  style="float: right;">
                            <i class="material-icons" style="float: inline-start;">add</i>Add event
                        </a>
                    </div>
                    <section class="js-events-list">
                        @foreach (var item in Model)
                        {
                        <div class="g-cell g-cell--has-overflow g-cell-1-1 g-cell-md-1-2 g-cell-lg-1-3 l-pad-vert-3 ">
                            <div class="poster-card js-d-poster" >
                                <a href="/event/details/@item.Id"
                                   class="poster-card__main js-event-link ">
                                    <div class="poster-card__header">
                                        <div class="poster-card__image"
                                             style="background-color:#c79bd7;">
                                            <img class="js-poster-image "
                                                 src="@item.ImageURI"
                                                 alt="@item.Title" />
                                        </div>

                                        
                                    </div>
                                    <div class="poster-card__body">
                                        <time class="poster-card__date">@item.EndDate</time>
                                        <div class="poster-card__title">
                                            @item.Title
                                        </div>
                                        <div class="poster-card__venue">
                                           @item.Location
                                        </div>
                                    </div>
                                </a>
                                
                            </div>

                        </div>
                        }

                    </section>
                </div>

               
            </section>
            <div id="bookmark-login-popup" class="omnes g-cell g-cell--no-gutters g-cell-1-1 g-cell-md-6-12 g-cell-lg-4-12 mfp-hide">
                <h1 class="modal__heading">Save This Event</h1>
                <div class="modal__body l-align-center">
                    <div>Log in or sign up for Eventbrite to save events you&#39;re interested in.</div>
                    <div class="l-pad-vert-2">
                        <a href="https://www.eventbrite.com/signup/?" class="js-bookmark-signup btn btn--block l-pad-vert-2" style="color:#fff;">
                            Sign Up
                        </a>
                    </div>
                    <div class="text-body-small">Already have an account? <a class="js-bookmark-login" href="https://www.eventbrite.com/login/?">Log in</a></div>
                </div>
            </div>
            <div id="bookmark-success-popup" class="omnes g-cell g-cell--no-gutters g-cell-1-1 g-cell-md-6-12 g-cell-lg-4-12 mfp-hide">
                <h1 class="modal__heading">Event Saved</h1>
                <div class="modal__body">
                    <div class="l-pad-vert-3 l-align-center">
                        <i class="ico-circle-checkmark ico--color-brand-dark-green" style="font-size: 140px;"></i>
                    </div>
                </div>
            </div>

            <!-- DFA Pixel (.com) -->
            <img src="https://ad.doubleclick.net/activity;src=4080218;type=stand423;cat=event705;ord=1?" width="1" height="1" border="0" alt="" class="is-hidden-accessible" />

        </div>



        <div id="pixels" style="height: 0; width: 0;"></div>


        <div id="auth-modal" class="g-cell g-cell--no-gutters g-cell-12-12 g-cell-md-8-12 mfp-hide auth-modal js-auth-modal">
            <div id="authentication-container" class="text-default auth-container"></div>
        </div>







<script type="text/javascript" src="/Content/jquery.js"></script>
<script src="https://developers.google.com/maps/documentation/javascript/examples/markerclusterer/markerclusterer.js"></script>
<script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBssrZlQmIlg6mYqyxahJ8Mvhb2BchJVJ8&callback=initMap"></script>

<script>

    //vars
    var map_style =[
          {
              elementType: 'geometry',
              stylers: [{color: '#f5f5f5'}]
          },
          {
              elementType: 'labels.icon',
              stylers: [{visibility: 'off'}]
          },
          {
              elementType: 'labels.text.fill',
              stylers: [{color: '#616161'}]
          },
          {
              elementType: 'labels.text.stroke',
              stylers: [{color: '#f5f5f5'}]
          },
          {
              featureType: 'administrative.land_parcel',
              elementType: 'labels.text.fill',
              stylers: [{color: '#bdbdbd'}]
          },
          {
              featureType: 'poi',
              elementType: 'geometry',
              stylers: [{color: '#eeeeee'}]
          },
          {
              featureType: 'poi',
              elementType: 'labels.text.fill',
              stylers: [{color: '#757575'}]
          },
          {
              featureType: 'poi.park',
              elementType: 'geometry',
              stylers: [{color: '#e5e5e5'}]
          },
          {
              featureType: 'poi.park',
              elementType: 'labels.text.fill',
              stylers: [{color: '#9e9e9e'}]
          },
          {
              featureType: 'road',
              elementType: 'geometry',
              stylers: [{color: '#ffffff'}]
          },
          {
              featureType: 'road.arterial',
              elementType: 'labels.text.fill',
              stylers: [{color: '#757575'}]
          },
          {
              featureType: 'road.highway',
              elementType: 'geometry',
              stylers: [{color: '#dadada'}]
          },
          {
              featureType: 'road.highway',
              elementType: 'labels.text.fill',
              stylers: [{color: '#616161'}]
          },
          {
              featureType: 'road.local',
              elementType: 'labels.text.fill',
              stylers: [{color: '#9e9e9e'}]
          },
          {
              featureType: 'transit.line',
              elementType: 'geometry',
              stylers: [{color: '#e5e5e5'}]
          },
          {
              featureType: 'transit.station',
              elementType: 'geometry',
              stylers: [{color: '#eeeeee'}]
          },
          {
              featureType: 'water',
              elementType: 'geometry',
              stylers: [{color: '#c9c9c9'}]
          },
          {
              featureType: 'water',
              elementType: 'labels.text.fill',
              stylers: [{color: '#9e9e9e'}]
          }
    ]
    var locations = []
    var markers=[]

    //init list locations
           @foreach(var item in Model){
        @:push_location(@item.Latitude,@item.Longitude)
    }

    //functions
    function push_location(a, b) {
        locations.push({ lat: a, lng: b })
    }
    function initialize() {
        document.getElementById('map').style.height = " 100%"
    }
    function add_marker(b){
        for(var i=0;i<locations.length;i++){
            var marker = new google.maps.Marker({
                position: locations[i],
                map: b ,
                animation: google.maps.Animation.DROP
            });
            markers.push(marker)
        }
    }








    function initMap() {


        //init map
        var map = new google.maps.Map(document.getElementById('map'), {
            zoom: 4,
            center: locations[0],
            styles: map_style
        });


        //add markers
        add_marker(map)

           //add cluster
           var markerCluster = new MarkerClusterer(map, markers,
               {imagePath: 'https://developers.google.com/maps/documentation/javascript/examples/markerclusterer/m'});

           //add map event
           google.maps.event.addDomListener(window, 'load', initialize);
    }

    $("#search_div").css("padding-top", "150px")


</script>
